﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace InfragisticsGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

        }

        private void btnGreen_Click(object sender, EventArgs e)
        {
            Infragistics.Win.AppStyling.StyleManager.Load("GreenTheme.isl");
            SetGridColor( ultraGrid1,System.Drawing.Color.Violet);
            SetGridColor( ultraGrid2, System.Drawing.Color.Violet);
        }

        private void btnOrange_Click(object sender, EventArgs e)
        {
            Infragistics.Win.AppStyling.StyleManager.Load("OrangeTheme.isl");
            SetGridColor(ultraGrid1, System.Drawing.Color.Red);
            SetGridColor(ultraGrid2, System.Drawing.Color.Red);
        }

        private void btnReset_Click(object sender, EventArgs e)
        {
            Infragistics.Win.AppStyling.StyleManager.Reset();
            SetGridColor(ultraGrid1, System.Drawing.Color.Blue);
            SetGridColor(ultraGrid2, System.Drawing.Color.Blue);
        }

        private void SetGridColor(Infragistics.Win.UltraWinGrid.UltraGrid grid, System.Drawing.Color color)
        {
            if (grid.DisplayLayout.Appearance == null)
            {
                grid.DisplayLayout.Appearance = new Infragistics.Win.Appearance();
            }
            grid.DisplayLayout.Appearance.BackColor = color;
            grid.DisplayLayout.Appearance.BackColor2 = color;
        }



    }
}
